%global momorel 1

%global ntpdocdir %{_datadir}/doc/%{name}-%{version}

Summary: The NTP daemon and utilities
Name: ntp
Version: 4.2.4p7
Release: %{momorel}m%{?dist}
# primary license (COPYRIGHT) : MIT
# ElectricFence/ (not used) : GPLv2
# kernel/sys/ppsclock.h (not used) : BSD with advertising
# include/ntif.h (not used) : BSD
# include/rsa_md5.h (replaced) : BSD with advertising
# include/ntp_rfc2553.h (replaced) : BSD with advertising
# libisc/inet_aton.c (not used) : BSD with advertising
# libntp/md5c.c (replaced) : BSD with advertising
# libntp/mktime.c (replaced) : BSD with advertising
# libntp/ntp_random.c (replaced) : BSD with advertising
# libntp/memmove.c (replaced) : BSD with advertising
# libntp/ntp_rfc2553.c (replaced) : BSD with advertising
# libntp/adjtimex.c (not used) : BSD
# libopts/ : BSD or GPLv2+
# libparse/ : BSD
# ntpd/refclock_jjy.c: MIT
# ntpd/refclock_oncore.c : BEERWARE License (aka, Public Domain)
# ntpd/refclock_palisade.c : BSD with advertising
# ntpd/refclock_jupiter.c : BSD with advertising
# ntpd/refclock_mx4200.c : BSD with advertising
# ntpd/refclock_palisade.h : BSD with advertising
# ntpstat-0.2/ : GPLv2
# util/ansi2knr.c (not used) : GPL+
# sntp/ (not packaged) : MSNTP
#License: (MIT and BSD and BSD with advertising) and (MIT and BSD) and GPLv2
License: see "COPYRIGHT"
Group: System Environment/Daemons
Source0: http://www.eecis.udel.edu/~ntp/ntp_spool/ntp4/ntp-4.2/ntp-%{version}.tar.gz
NoSource: 0
Source1: ntp.conf
Source2: ntp.keys
Source3: ntpd.init
Source4: ntpd.sysconfig
Source5: ntpstat-0.2.tgz
Source6: ntp.step-tickers
Source7: ntpdate.init
Source8: ntp.cryptopw
Source9: ntpdate.sysconfig

BuildRequires: openssl-devel >= 0.9.8g
BuildRequires: readline-devel >= 5.0
BuildRequires: perl-HTML-TokeParser-Simple

# ntpbz #628, #1073
Patch1: ntp-4.2.4p4-kernel.patch
# add support for dropping root to ntpdate
Patch2: ntp-4.2.4p0-droproot.patch
# ntpbz #812
Patch3: ntp-4.2.4-groups.patch
# ntpbz #1170
Patch4: ntp-4.2.4p7-daemonpll.patch
# link ntpd with -ffast-math on ia64
Patch5: ntp-4.2.4-linkfastmath.patch
# ntpbz #1134
Patch6: ntp-4.2.4p2-tentative.patch
# ntpbz #897
Patch7: ntp-4.2.4p2-noseed.patch
# ntpbz #830
Patch8: ntp-4.2.4p4-multilisten.patch
# fix script used to generate man pages
Patch9: ntp-4.2.4-html2man.patch
# ntpbz #898
Patch10: ntp-4.2.4p5-htmldoc.patch
# fixed in 4.2.5
Patch11: ntp-4.2.4p2-filegen.patch
# ntpbz #738
Patch12: ntp-4.2.4-sprintf.patch
# drop this and switch to libedit in 4.2.6
Patch13: ntp-4.2.4p4-bsdadv.patch
# add option -m to lock memory
Patch14: ntp-4.2.4p7-mlock.patch
# fixed in 4.2.5
Patch15: ntp-4.2.4p2-clockselect.patch
# don't build sntp
Patch16: ntp-4.2.4p7-nosntp.patch
# ntpbz #802
Patch17: ntp-4.2.4p5-sleep.patch
# ntpbz #779, #823
Patch18: ntp-4.2.4p7-bcast.patch
# ntpbz #759
Patch19: ntp-4.2.4p0-retcode.patch
# ntpbz #397
Patch20: ntp-4.2.4p2-noif.patch
# force IPv6 support
Patch21: ntp-4.2.4p7-ipv6.patch
# align buffer for control messages
Patch22: ntp-4.2.4p4-cmsgalign.patch
# force use of clock_gettime
Patch23: ntp-4.2.4p7-gettime.patch
# reload resolv.conf after failure in name resolution
Patch24: ntp-4.2.4p4-resinit.patch
# ntpbz #992
Patch25: ntp-4.2.4p5-rtnetlink.patch
# don't log STA_MODE (PLL/FLL) changes
Patch26: ntp-4.2.4p7-stamode.patch
# ntpbz #808
Patch27: ntp-4.2.4p5-driftonexit.patch
# add missing nanokernel macros
Patch28: ntp-4.2.4p7-nano.patch
# allow minpoll 3 as in 4.2.5
Patch29: ntp-4.2.4p7-minpoll.patch
# fix frequency mode, backported from 4.2.5
Patch30: ntp-4.2.4p7-freqmode.patch

URL: http://www.ntp.org/
PreReq: chkconfig
Prereq: shadow-utils
Requires: libcap
Requires: perl
Requires: w3c-libwww
BuildRequires: perl
BuildPreReq: libcap-devel
Obsoletes: xntp3

Requires: ntpdate = %{version}-%{release}
# Require libreadline linked with libtinfo
Requires: readline >= 5.2-3
BuildRequires: libcap-devel openssl-devel readline-devel perl-HTML-Parser
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
The Network Time Protocol (NTP) is used to synchronize a computer's
time with another reference time source. This package includes ntpd
(a daemon which continuously adjusts system time) and utilities used
to query and configure the ntpd daemon.

Perl scripts ntp-wait and ntptrace are in the ntp-perl package and
the ntpdate program is in the ntpdate package. The documentation is
in the ntp-doc package.

%package perl
Summary: NTP utilities written in perl
Group: Applications/System
Requires: %{name} = %{version}-%{release}
# perl introduced in 4.2.4p4-7
Obsoletes: %{name} < 4.2.4p4-7
%description perl
This package contains perl scripts ntp-wait and ntptrace.
 
%package -n ntpdate
Summary: Utility to set the date and time via NTP
Group: Applications/System
Requires(pre): shadow-utils 
Requires(post): chkconfig
Requires(preun): chkconfig initscripts

%description -n ntpdate
ntpdate is a program for retrieving the date and time from
NTP servers.

%package doc
Summary: NTP documentation
Group: Documentation
Requires: %{name} = %{version}-%{release}
BuildArch: noarch
%description doc
This package contains NTP documentation in HTML format.

%prep 
%setup -q -a 5

%patch1 -p1 -b .kernel
%patch2 -p1 -b .droproot
%patch3 -p1 -b .groups
%patch4 -p1 -b .daemonpll
%patch6 -p1 -b .tentative
%patch7 -p1 -b .noseed
%patch8 -p1 -b .multilisten
%patch9 -p1 -b .html2man
%patch10 -p1 -b .htmldoc
%patch11 -p1 -b .filegen
%patch12 -p1 -b .sprintf
%patch14 -p1 -b .mlock
%patch15 -p1 -b .clockselect
%patch16 -p1 -b .nosntp
%patch17 -p1 -b .sleep
%patch18 -p1 -b .bcast
%patch19 -p1 -b .retcode
%patch20 -p1 -b .noif
%patch21 -p1 -b .ipv6
%patch22 -p1 -b .cmsgalign
%patch24 -p1 -b .resinit
%patch25 -p1 -b .rtnetlink
%patch26 -p1 -b .stamode
%patch27 -p1 -b .driftonexit
%patch28 -p1 -b .nano
%patch29 -p1 -b .minpoll
%patch30 -p1 -b .freqmode

# clock_gettime needs -lrt
sed -i.gettime 's|^LIBS = @LIBS@|& -lrt|' ntp{d,q,dc,date}/Makefile.in
%patch23 -p1 -b .gettime

%ifarch ia64
%patch5 -p1 -b .linkfastmath
%endif

# replace some BSD with advertising code
for f in include/{ntp_rfc2553,rsa_md5}.h \
	libntp/{mktime,memmove,md5c,ntp_rfc2553,ntp_random}.c
do rm -f $f; touch $f; done
ln -sf md5.h include/rsa_md5.h
ln -sf md5.c libntp/md5c.c
%patch13 -p1 -b .bsdadv

%build
export CFLAGS="$RPM_OPT_FLAGS"
if echo 'int main () { return 0; }' | gcc -pie -fPIE -O2 -xc - -o pietest 2>/dev/null; then
	./pietest && export CFLAGS="$CFLAGS -pie -fPIE"
	rm -f pietest
fi
%configure \
	--sysconfdir=%{_sysconfdir}/ntp/crypto \
	--with-openssl-libdir=%{_libdir} \
	--enable-all-clocks --enable-parse-clocks \
	--enable-linuxcaps
echo '#define KEYFILE "%{_sysconfdir}/ntp/keys"' >> ntpdate/ntpdate.h
echo '#define NTP_VAR "%{_localstatedir}/log/ntpstats/"' >> config.h

%make

sed -i 's|$ntpq = "ntpq"|$ntpq = "%{_sbindir}/ntpq"|' scripts/ntptrace
sed -i 's|ntpq -c |%{_sbindir}/ntpq -c |' scripts/ntp-wait

pushd html
../scripts/html2man
# remove adjacent blank lines
sed -i 's/^[\t\ ]*$//;/./,/^$/!d' man/man*/*.[58]
popd 

make -C ntpstat-0.2 CFLAGS="$CFLAGS"

%install
rm -rf %{buildroot}

make DESTDIR=$RPM_BUILD_ROOT bindir=%{_sbindir} install

mkdir -p $RPM_BUILD_ROOT%{_mandir}/man{5,8}
rm -rf $RPM_BUILD_ROOT%{_mandir}/man1

pushd ntpstat-0.2
mkdir -p $RPM_BUILD_ROOT%{_bindir}
install -m 755 ntpstat $RPM_BUILD_ROOT%{_bindir}
install -m 644 ntpstat.1 $RPM_BUILD_ROOT%{_mandir}/man8/ntpstat.8
popd

# fix section numbers
sed -i 's/\(\.TH[a-zA-Z ]*\)[1-9]\(.*\)/\18\2/' $RPM_BUILD_ROOT%{_mandir}/man8/*.8
cp -r html/man/man[58] %{buildroot}/%{_mandir}

mkdir -p $RPM_BUILD_ROOT%{ntpdocdir}
cp -p COPYRIGHT ChangeLog NEWS $RPM_BUILD_ROOT%{ntpdocdir}

# prepare html documentation
find html | egrep '\.(html|css|txt|jpg|gif)$' | grep -v '/build/\|sntp' | \
	cpio -pmd $RPM_BUILD_ROOT%{ntpdocdir}
find $RPM_BUILD_ROOT%{ntpdocdir} -type f | xargs chmod 644
find $RPM_BUILD_ROOT%{ntpdocdir} -type d | xargs chmod 755

pushd $RPM_BUILD_ROOT
mkdir -p .%{_sysconfdir}/{ntp,ntp/crypto,sysconfig} .%{_initscriptdir}
mkdir -p .%{_localstatedir}/{lib/ntp,log/ntpstats}
touch .%{_localstatedir}/lib/ntp/drift
sed -e 's|ETCNTP|%{_sysconfdir}/ntp|' -e 's|VARNTP|%{_localstatedir}/lib/ntp|' \
	< %{SOURCE1} > .%{_sysconfdir}/ntp.conf
touch -r %{SOURCE1} .%{_sysconfdir}/ntp.conf
install -p -m600 %{SOURCE2} .%{_sysconfdir}/ntp/keys
install -p -m755 %{SOURCE3} .%{_initscriptdir}/ntpd
install -p -m755 %{SOURCE7} .%{_initscriptdir}/ntpdate
install -p -m644 %{SOURCE4} .%{_sysconfdir}/sysconfig/ntpd
install -p -m644 %{SOURCE9} .%{_sysconfdir}/sysconfig/ntpdate
install -p -m644 %{SOURCE6} .%{_sysconfdir}/ntp/step-tickers
install -p -m600 %{SOURCE8} .%{_sysconfdir}/ntp/crypto/pw
popd

%clean
rm -rf %{buildroot}

%pre -n ntpdate
/usr/sbin/groupadd -g 38 ntp  2> /dev/null || :
/usr/sbin/useradd -u 38 -g 38 -s /sbin/nologin -M -r -d %{_sysconfdir}/ntp ntp 2>/dev/null || :

%post
/sbin/chkconfig --add ntpd
:

%post -n ntpdate
/sbin/chkconfig --add ntpdate
:

%preun
if [ "$1" -eq 0 ]; then
	/sbin/service ntpd stop &> /dev/null
	/sbin/chkconfig --del ntpd
fi
:

%preun -n ntpdate
if [ "$1" -eq 0 ]; then
	/sbin/service ntpdate stop &> /dev/null
	/sbin/chkconfig --del ntpdate
fi
:

%postun
if [ "$1" -ge 1 ]; then
	/sbin/service ntpd condrestart &> /dev/null
fi
:

%files
%defattr(-,root,root)
%dir %{ntpdocdir}
%{ntpdocdir}/COPYRIGHT
%{ntpdocdir}/ChangeLog
%{ntpdocdir}/NEWS
%{_sbindir}/ntp-keygen
%{_sbindir}/ntpd
%{_sbindir}/ntpdc
%{_sbindir}/ntpq
%{_sbindir}/ntptime
%{_sbindir}/tickadj
%{_initscriptdir}/ntpd
%config(noreplace) %{_sysconfdir}/sysconfig/ntpd
%config(noreplace) %{_sysconfdir}/ntp.conf
%dir %attr(750,root,ntp) %{_sysconfdir}/ntp/crypto
%config(noreplace) %{_sysconfdir}/ntp/crypto/pw
%dir %attr(-,ntp,ntp) %{_localstatedir}/lib/ntp
%ghost %attr(644,ntp,ntp) %{_localstatedir}/lib/ntp/drift
%dir %attr(-,ntp,ntp) %{_localstatedir}/log/ntpstats
%{_bindir}/ntpstat
%{_mandir}/man5/*.5*
%{_mandir}/man8/ntp-keygen.8*
%{_mandir}/man8/ntpd.8*
%{_mandir}/man8/ntpdc.8*
%{_mandir}/man8/ntpq.8*
%{_mandir}/man8/ntpstat.8*
%{_mandir}/man8/ntptime.8*

%files perl
%defattr(-,root,root)
%{_sbindir}/ntp-wait
%{_sbindir}/ntptrace
%{_mandir}/man8/ntptrace.8*

%files -n ntpdate
%defattr(-,root,root)
%{_initscriptdir}/ntpdate
%config(noreplace) %{_sysconfdir}/sysconfig/ntpdate
%dir %{_sysconfdir}/ntp
%config(noreplace) %{_sysconfdir}/ntp/keys
%config(noreplace) %verify(not md5 size mtime) %{_sysconfdir}/ntp/step-tickers
%{_sbindir}/ntpdate
%{_mandir}/man8/ntpdate.8*

%files doc
%defattr(-,root,root)
%{ntpdocdir}/html

%changelog
* Sun May 30 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (4.2.4p7-1m)
- [SECURITY] CVE-2009-0159 CVE-2009-1252
- update to 4.2.4p7
- sync with Fedora devel

* Tue Apr 07 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (4.2.4p6-4m)
- rebuild against openssl-0.9.8k

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (4.2.4p6-3m)
- rebuild against rpm-4.6

* Thu Jan 15 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (4.2.4p6-2m)
- use %%{_initscriptdir} instead of %%{_initrddir} again

* Thu Jan 15 2009 TABUCHI Takaaki <tab@momonga-linux.org>
- (4.2.4p6-1m)
- [SECURITY] CVE-2009-0021
- update to 4.2.4p6
- update Patch14: ntp-4.2.4p6-mlock.patch

* Fri Nov 28 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (4.2.4p5-1m)
- update to 4.2.4p5
- make subpackage ntp-perl and ntpdate
- add Source6: ntp.step-tickers
- add Source7: ntpdate.init
- add Source8: ntp.cryptopw
- add Source9: ntpdate.sysconfig
- add Patch1: ntp-4.2.4p4-kernel.patch
- delete old Patch4 and Patch7
- add Patch6, Patch7 and Patch8
- delete old Patch10, Patch11
- update Patch13, Patch14 and Patch17
- add patch18 to Patch27 from Fedora

* Thu Jun  5 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (4.2.4p4-5m)
- rebuild against openssl-0.9.8h-1m

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (4.2.4p4-4m)
- rebuild against gcc43

* Sat Feb  2 2008 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (4.2.4p4-3m)
- rebuild against perl-5.10.0-1m

* Tue Oct 30 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (4.2.4p4-2m)
- revide patch14, startup option was not correct, so we cannot stop ntpd
 
* Fri Oct 26 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (4.2.4p4-1m)
- update to 4.2.4p4, rebuild against openssl-0.9.8g

* Sun Oct 14 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (4.2.4p0-4m)
- rebuild against openssl-0.9.8f

* Sun Jul 22 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (4.2.4p0-3m)
- add Requires: w3c-libwww

* Mon Jul 16 2007 Masahiro Takahata <takahata@momonga-linux.org>
- (4.2.4p0-2m)
- modify ntp.conf default server ntp[123].jst.mfeed.ad.jp

* Tue Mar 27 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (4.2.4p0-1m)
- update 4.2.4p0

* Fri Jul  7 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (4.2.0-0.20040619.5m)
- rebuild against readline-5.0

* Sun Apr  9 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (4.2.0-0.20040619.4m)
- rebuild against openssl-0.9.8a

* Wed Nov  8 2005 Yohsuke Ooi <meke@momonga-linux.org>
- (4.2.0-0.20040619.3m)
- add gcc4 patch.
- Patch100: ntp-4.2.0-gcc4.patch

* Mon Apr 11 2005 Toru Hoshina <t@momonga-linux.org>
- (4.2.0-0.20040619.2m)
- revised ntp.conf.

* Sun Feb 27 2005 TABUCHI Takaaki <tab@momonga-linux.org>
- (4.2.0-0.20040619.1m)
- update to 4.2.0 daily version

* Tue May  4 2004 Toru Hoshina <t@momonga-linux.org>
- (4.1.2-4m)
- rebuild against ncurses 5.3.

* Wed Nov  5 2003 zunda <zunda at freeshell.org>
- (4.1.2-3m)
- adapt the License: preamble for the Momonga Linux license
  expression unification policy (draft)

* Sun Oct 19 2003 YAMAZAKI Makoto <zaki@zakky.org>
- (4.1.2-2m)
- avoid conflict of macro name (CONFIG_PHONE against kernel config)

* Tue Jul 29 2003 Hiroyuki KOGA <kuma@momonga-linux.org>
- (4.1.2-1m)
- update to 4.1.2

* Sat Apr 12 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (4.1.1b-2m)
- change Source0 URI

* Sun Dec 29 2002 Kazuhiko <kazuhiko@fdiary.net>
- (4.1.1b-1m)

* Sun May 19 2002 Tadataka Yoshikawa <yosshy@kondara.org>
- (4.1.1a-2k)
- update to 4.1.1a

* Wed Mar 16 2002 YAMAGUCHI Kenji <yamk@kondara.org>
- (4.1.1-2k)
- update to 4.1.1
- rework ntp-4.1.1-droproot.patch

* Tue Oct 22 2001 Toru Hoshina <t@kondara.org>
- (4.1.0-2k)
- merge from rawhide. [4.1.0-4]

* Wed Sep 05 2001 Harald Hoyer <harald@redhat.de> 4.1.0-4
- fixed #53184

* Tue Sep 04 2001 Harald Hoyer <harald@redhat.de> 4.1.0-3
- fixed #53089 /bin/nologin -> /sbin/nologin

* Fri Aug 31 2001 Harald Hoyer <harald@redhat.de> 4.1.0-2
- fixed #50247 thx to <enrico.scholz@informatik.tu-chemnitz.de>

* Thu Aug 30 2001 Harald Hoyer <harald@redhat.de> 4.1.0-1
- wow, how stupid can a man be ;).. fixed #50698 
- updated to 4.1.0 (changes are small and in non-critical regions)

* Wed Aug 29 2001 Harald Hoyer <harald@redhat.de> 4.0.99mrc2-5
- really, really :) fixed #52763, #50698 and #50526

* Mon Aug 27 2001 Tim Powers <timp@redhat.com> 4.0.99mrc2-4
- rebuilt against newer libcap
- Copyright -> license

* Wed Jul 25 2001 Harald Hoyer <harald@redhat.com> 4.0.99mrc2-3
- integrated droproot patch (#35653)
- removed librt and libreadline dependency 

* Sat Jul  7 2001 Tim Powers <timp@redhat.com>
- don't build build sgid root dirs

* Mon Jun 18 2001 Harald Hoyer <harald@redhat.de>
- new snapshot
- removed typos and security patch (already there)
- commented multicastclient in config file

* Thu Jun 07 2001 Florian La Roche <Florian.LaRoche@redhat.de>
- call libtoolize to compile on newer archs

* Mon Apr  9 2001 Preston Brown <pbrown@redhat.com>
- remove ghost files make RHN happy
- modify initscript to match accordingly

* Fri Apr  6 2001 Pekka Savola <pekkas@netcore.fi>
- Add the remote root exploit patch (based on ntp-hackers).
- Enhance droproot patch (more documentation, etc.) <Jarno.Huuskonen@uku.fi>
- Tweak the droproot patch to include sys/prctl.h, not linux/prctl.h
(implicit declarations)
- Remote groupdel commands, shouldn't be needed.
- Removed -Wcast-qual and -Wconversion due to excessive warnings (hackish).
- Make ntp compilable with both glibc 2.1 and 2.2.x (very dirty hack)
- Add /etc/sysconfig/ntpd which drops root privs by default

* Thu Apr  5 2001 Preston Brown <pbrown@redhat.com>
- security patch for ntpd

* Mon Mar 26 2001 Preston Brown <pbrown@redhat.com>
- don't run configure macro twice (#32804)

* Sun Mar 25 2001 Pekka Savola <pekkas@netcore.fi>
- require/buildprereq libcap/libcap-devel
- use 'ntp' user, tune the pre/post scripts, %%files
- add $OPTIONS to the init script

* Tue Mar 20 2001 Jarno Huuskonen <Jarno.Huuskonen@uku.fi>
- droproot/caps patch
- add ntpd user in pre
- make /etc/ntp ntpd writable

* Mon Mar  5 2001 Preston Brown <pbrown@redhat.com>
- allow comments in /etc/ntp/step-tickers file (#28786).
- need patch0 (glibc patch) on ia64 too

* Tue Feb 13 2001 Florian La Roche <Florian.LaRoche@redhat.de>
- also set prog=ntpd in initscript

* Tue Feb 13 2001 Florian La Roche <Florian.LaRoche@redhat.de>
- use "$prog" instead of "$0" for the init script

* Thu Feb  8 2001 Preston Brown <pbrown@redhat.com>
- i18n-neutral .init script (#26525)

* Tue Feb  6 2001 Preston Brown <pbrown@redhat.com>
- use gethostbyname on addresses in /etc/ntp.conf for ntptime command (#26250)

* Mon Feb  5 2001 Preston Brown <pbrown@redhat.com>
- start earlier and stop later (#23530)

* Mon Feb  5 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- i18nize init script (#26078)

* Sat Jan  6 2001 Jeff Johnson <jbj@redhat.com>
- typo in ntp.conf (#23173).

* Mon Dec 11 2000 Karsten Hopp <karsten@redhat.de>
- rebuilt to fix permissions of /usr/share/doc/ntp-xxx

* Thu Nov  2 2000 Jeff Johnson <jbj@redhat.com>
- correct mis-spellings in ntpq.htm (#20007).

* Thu Oct 19 2000 Jeff Johnson <jbj@redhat.com>
- add %ghost /etc/ntp/drift (#15222).

* Wed Oct 18 2000 Jeff Johnson <jbj@redhat.com>
- comment out default values for keys, warn about starting with -A (#19316).
- take out -A from ntpd startup as well.
- update to 4.0.99k.

* Wed Aug 23 2000 Jeff Johnson <jbj@redhat.com>
- use vsnprintf rather than vsprintf (#16676).

* Mon Aug 14 2000 Jeff Johnson <jbj@redhat.com>
- remove Conflicts: so that the installer is happy.

* Tue Jul 25 2000 Jeff Johnson <jbj@redhat.com>
- workaround glibc-2.1.90 lossage for now.

* Thu Jul 20 2000 Bill Nottingham <notting@redhat.com>
- move initscript back

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Mon Jun 26 2000 Preston Brown <pbrown@redhat.com>
- move and update init script, update post/preun/postun scripts

* Wed Jun 21 2000 Preston Brown <pbrown@redhat.com>
- noreplace ntp.conf,keys files

* Mon Jun 12 2000 Jeff Johnson <jbj@redhat.com>
- Create 4.0.99j package.
- FHS packaging.
